org.apache.tools.ant.types

## Class FileList.FileName

- java.lang.Object
- - org.apache.tools.ant.types.FileList.FileName

Enclosing class:
  FileList

    public static class FileList.FileName
    extends java.lang.Object

Inner class corresponding to the <file> nested element.

### Constructor Summary

Constructors
Constructor and Description
`FileName()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`void` `setName(java.lang.String name)` The name attribute of the file element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileName

    public FileName()

### Method Detail

#### setName

    public void setName(java.lang.String name)

The name attribute of the file element.

Parameters:
  `name` - the name of a file to add to the file list.

#### getName

    public java.lang.String getName()

Returns:
  the name of the file for this element.